package main

import (
	"log"
	"os"

	"github.com/Masterminds/semver"
	"github.com/go-flucky/flucky/cmd"
)

var (
	version string
)

func main() {
	sversion, err := semver.NewVersion(version)
	if err != nil {
		log.Printf("The sematic versioning is invalid: %v", version)
		os.Exit(1)
	}

	err = cmd.Execute(sversion)
	if err != nil {
		log.Fatal(err)
	}
}
